## org.apache.poi.hpsf
Class MarkUnsupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.poi.hpsf.HPSFException
                  org.apache.poi.hpsf.MarkUnsupportedException

All Implemented Interfaces:
  java.io.Serializable

public class MarkUnsupportedException
extends HPSFException

This exception is thrown if an `InputStream` does not support the `InputStream.mark(int)` operation.

Since:
  2002-02-09
Version:
  $Id: MarkUnsupportedException.java,v 1.6.4.1 2004/02/22 11:54:45 glens Exp $
Author:
  Rainer Klute (klute@rainer-klute.de)
See Also:
  Serialized Form

Constructor Summary
`MarkUnsupportedException()`
`MarkUnsupportedException(java.lang.String msg)`
`MarkUnsupportedException(java.lang.String msg, java.lang.Throwable reason)`
`MarkUnsupportedException(java.lang.Throwable reason)`

Methods inherited from class org.apache.poi.hpsf.HPSFException
`getReason`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MarkUnsupportedException

    public MarkUnsupportedException()

### MarkUnsupportedException

    public MarkUnsupportedException(java.lang.String msg)

### MarkUnsupportedException

    public MarkUnsupportedException(java.lang.Throwable reason)

### MarkUnsupportedException

    public MarkUnsupportedException(java.lang.String msg,
                                    java.lang.Throwable reason)

Copyright © 2003 Apache Software Foundation.